<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateOrdersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: orders
         */
        Schema::create('orders', function ($table) {
            $table->increments('id');
            $table->string('f_name', 255)->nullable();
            $table->string('l_name', 255)->nullable();
            $table->string('company_name', 255)->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->text('sreet_address')->nullable();
            $table->string('apartment', 255)->nullable();
            $table->string('zip_code', 255)->nullable();
            $table->longText('json_data')->nullable();
            $table->float('subtotal')->nullable();
            $table->float('total')->nullable();
            $table->enum('payment_mode', ['Direct payment','Check payment','Cash on delivery'])->nullable();
            $table->enum('payment_status', ['Payed','Not Payed'])->nullable();
            $table->enum('status', ['Processing','Delivered'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('orders');
    }
}
