<?php

// API routes  for order
Route::prefix('{guard}/order')->group(function () {
    Route::get('order/form/{element}', 'OrderAPIController@form');
    Route::resource('order', 'OrderAPIController');
});

// Public routes for order
Route::get('orders/', 'OrderPublicController@index');
Route::get('orders/{slug?}', 'OrderPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for orders
            Route::prefix('{guard}/order')->group(function () {
                Route::get('order/form/{element}', 'OrderAPIController@form');
                Route::apiResource('order', 'OrderAPIController');
            });
            // Public routes for orders
            Route::get('order/Order', 'OrderPublicController@getOrder');
        }
    );
}

