<?php

namespace Ebuy\Order\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OrderTransformer extends TransformerAbstract
{
    public function transform(\Ebuy\Order\Models\Order $order)
    {
        return [
            'id'                => $order->getRouteKey(),
            'key'               => [
                'public'    => $order->getPublicKey(),
                'route'     => $order->getRouteKey(),
            ], 
            'f_name'            => $order->f_name,
            'l_name'            => $order->l_name,
            'company_name'      => $order->company_name,
            'country_id'        => $order->country_id,
            'state_id'          => $order->state_id,
            'sreet_address'     => $order->sreet_address,
            'apartment'         => $order->apartment,
            'zip_code'          => $order->zip_code,
            'json_data'         => $order->json_data,
            'subtotal'          => $order->subtotal,
            'total'             => $order->total,
            'payment_mode'      => $order->payment_mode,
            'payment_status'    => $order->payment_status,
            'deleted_at'        => $order->deleted_at,
            'url'               => [
                'public'    => trans_url('order/'.$order->getPublicKey()),
                'user'      => guard_url('order/order/'.$order->getRouteKey()),
            ], 
            'status'            => trans('app.'.$order->status),
            'created_at'        => format_date($order->created_at),
            'updated_at'        => format_date($order->updated_at),
        ];
    }
}